* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  padding-top: 60px; /* ナビゲーションバーの高さに応じて調整 */
}

.container {
  background-color: #f4f4f4;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0,0,0,0.1);
  max-width: 800px;
  margin: 50px auto;
  text-align: center;
}

button {
  background-color: #4CAF50;
  color: white;
  border: none;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 10px 2px;
  cursor: pointer;
  border-radius: 4px;
  position: relative;
  overflow: hidden; /* テキストがはみ出さないようにする */
}

.button-logo {
  height: 20px; /* ロゴの高さを設定 */
  margin-right: 5px; /* ロゴとテキストの間のスペース */
  vertical-align: middle; /* ボタン内でテキストとロゴが中央揃えになるように */
}

/* ボタンのテキストに適用するスタイル */
button span {
  vertical-align: middle; /* テキストを垂直中央に揃える */
}